unit StatesMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, USAMap;

type
  TfStatesMain = class(TForm)
    btnAbout: TBitBtn;
    btnClose: TBitBtn;
    cscsUSAMap1: TcscsUSAMap;
    procedure btnAboutClick(Sender: TObject);
    procedure cscsUSAMap1AlabamaClick(Sender: TObject);
    procedure cscsUSAMap1AlaskaClick(Sender: TObject);
    procedure cscsUSAMap1ArizonaClick(Sender: TObject);
    procedure cscsUSAMap1ArkansasClick(Sender: TObject);
    procedure cscsUSAMap1CaliforniaClick(Sender: TObject);
    procedure cscsUSAMap1ColoradoClick(Sender: TObject);
    procedure cscsUSAMap1ConnecticutClick(Sender: TObject);
    procedure cscsUSAMap1DelawareClick(Sender: TObject);
    procedure cscsUSAMap1FloridaClick(Sender: TObject);
    procedure cscsUSAMap1GeorgiaClick(Sender: TObject);
    procedure cscsUSAMap1HawaiiClick(Sender: TObject);
    procedure cscsUSAMap1IdahoClick(Sender: TObject);
    procedure cscsUSAMap1IllinoisClick(Sender: TObject);
    procedure cscsUSAMap1IndianaClick(Sender: TObject);
    procedure cscsUSAMap1IowaClick(Sender: TObject);
    procedure cscsUSAMap1KansasClick(Sender: TObject);
    procedure cscsUSAMap1KentuckyClick(Sender: TObject);
    procedure cscsUSAMap1LouisianaClick(Sender: TObject);
    procedure cscsUSAMap1MaineClick(Sender: TObject);
    procedure cscsUSAMap1MarylandClick(Sender: TObject);
    procedure cscsUSAMap1MassachusettsClick(Sender: TObject);
    procedure cscsUSAMap1MichiganClick(Sender: TObject);
    procedure cscsUSAMap1MinnesotaClick(Sender: TObject);
    procedure cscsUSAMap1MississippiClick(Sender: TObject);
    procedure cscsUSAMap1MissouriClick(Sender: TObject);
    procedure cscsUSAMap1MontanaClick(Sender: TObject);
    procedure cscsUSAMap1NebraskaClick(Sender: TObject);
    procedure cscsUSAMap1NevadaClick(Sender: TObject);
    procedure cscsUSAMap1NewHampshireClick(Sender: TObject);
    procedure cscsUSAMap1NewJerseyClick(Sender: TObject);
    procedure cscsUSAMap1NewMexicoClick(Sender: TObject);
    procedure cscsUSAMap1NewYorkClick(Sender: TObject);
    procedure cscsUSAMap1NorthCarolinaClick(Sender: TObject);
    procedure cscsUSAMap1NorthDakotaClick(Sender: TObject);
    procedure cscsUSAMap1OhioClick(Sender: TObject);
    procedure cscsUSAMap1OklahomaClick(Sender: TObject);
    procedure cscsUSAMap1OregonClick(Sender: TObject);
    procedure cscsUSAMap1PennsylvaniaClick(Sender: TObject);
    procedure cscsUSAMap1RhodeIslandClick(Sender: TObject);
    procedure cscsUSAMap1SouthCarolinaClick(Sender: TObject);
    procedure cscsUSAMap1SouthDakotaClick(Sender: TObject);
    procedure cscsUSAMap1TennesseeClick(Sender: TObject);
    procedure cscsUSAMap1TexasClick(Sender: TObject);
    procedure cscsUSAMap1UtahClick(Sender: TObject);
    procedure cscsUSAMap1VermontClick(Sender: TObject);
    procedure cscsUSAMap1VirginiaClick(Sender: TObject);
    procedure cscsUSAMap1WashingtonClick(Sender: TObject);
    procedure cscsUSAMap1WestVirginiaClick(Sender: TObject);
    procedure cscsUSAMap1WisconsinClick(Sender: TObject);
    procedure cscsUSAMap1WyomingClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fStatesMain: TfStatesMain;

implementation

uses AboutStates, StatesFacts;

{$R *.DFM}

procedure TfStatesMain.btnAboutClick(Sender: TObject);
begin
  TfAboutStates.Cre8Thyself;
end;

procedure TfStatesMain.cscsUSAMap1AlabamaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Alabama');
end;

procedure TfStatesMain.cscsUSAMap1AlaskaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Alaska');
end;

procedure TfStatesMain.cscsUSAMap1ArizonaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Arizona');
end;

procedure TfStatesMain.cscsUSAMap1ArkansasClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Arkansas');
end;

procedure TfStatesMain.cscsUSAMap1CaliforniaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('California');
end;

procedure TfStatesMain.cscsUSAMap1ColoradoClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Colorado');
end;

procedure TfStatesMain.cscsUSAMap1ConnecticutClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Connecticut');
end;

procedure TfStatesMain.cscsUSAMap1DelawareClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Delaware');
end;

procedure TfStatesMain.cscsUSAMap1FloridaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Florida');
end;

procedure TfStatesMain.cscsUSAMap1GeorgiaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Georgia');
end;

procedure TfStatesMain.cscsUSAMap1HawaiiClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Hawaii');
end;

procedure TfStatesMain.cscsUSAMap1IdahoClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Idaho');
end;

procedure TfStatesMain.cscsUSAMap1IllinoisClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Illinois');
end;

procedure TfStatesMain.cscsUSAMap1IndianaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Indiana');
end;

procedure TfStatesMain.cscsUSAMap1IowaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Iowa');
end;

procedure TfStatesMain.cscsUSAMap1KansasClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Kansas');
end;

procedure TfStatesMain.cscsUSAMap1KentuckyClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Kentucky');
end;

procedure TfStatesMain.cscsUSAMap1LouisianaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Louisiana');
end;

procedure TfStatesMain.cscsUSAMap1MaineClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Maine');
end;

procedure TfStatesMain.cscsUSAMap1MarylandClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Maryland');
end;

procedure TfStatesMain.cscsUSAMap1MassachusettsClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Massachusetts');
end;

procedure TfStatesMain.cscsUSAMap1MichiganClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Michigan');
end;

procedure TfStatesMain.cscsUSAMap1MinnesotaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Minnesota');
end;

procedure TfStatesMain.cscsUSAMap1MississippiClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Mississippi');
end;

procedure TfStatesMain.cscsUSAMap1MissouriClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Missouri');
end;

procedure TfStatesMain.cscsUSAMap1MontanaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Montana');
end;

procedure TfStatesMain.cscsUSAMap1NebraskaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Nebraska');
end;

procedure TfStatesMain.cscsUSAMap1NevadaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Nevada');
end;

procedure TfStatesMain.cscsUSAMap1NewHampshireClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NewHampshire');
end;

procedure TfStatesMain.cscsUSAMap1NewJerseyClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NewJersey');
end;

procedure TfStatesMain.cscsUSAMap1NewMexicoClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NewMexico');
end;

procedure TfStatesMain.cscsUSAMap1NewYorkClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NewYork');
end;

procedure TfStatesMain.cscsUSAMap1NorthCarolinaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NorthCarolina');
end;

procedure TfStatesMain.cscsUSAMap1NorthDakotaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('NorthDakota');
end;

procedure TfStatesMain.cscsUSAMap1OhioClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Ohio');
end;

procedure TfStatesMain.cscsUSAMap1OklahomaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Oklahoma');
end;

procedure TfStatesMain.cscsUSAMap1OregonClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Oregon');
end;

procedure TfStatesMain.cscsUSAMap1PennsylvaniaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Pennsylvania');
end;

procedure TfStatesMain.cscsUSAMap1RhodeIslandClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('RhodeIsland');
end;

procedure TfStatesMain.cscsUSAMap1SouthCarolinaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('SouthCarolina');
end;

procedure TfStatesMain.cscsUSAMap1SouthDakotaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('SouthDakota');
end;

procedure TfStatesMain.cscsUSAMap1TennesseeClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Tennessee');
end;

procedure TfStatesMain.cscsUSAMap1TexasClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Texas');
end;

procedure TfStatesMain.cscsUSAMap1UtahClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Utah');
end;

procedure TfStatesMain.cscsUSAMap1VermontClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Vermont');
end;

procedure TfStatesMain.cscsUSAMap1VirginiaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Virginia');
end;

procedure TfStatesMain.cscsUSAMap1WashingtonClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Washington');
end;

procedure TfStatesMain.cscsUSAMap1WestVirginiaClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('WestVirginia');
end;

procedure TfStatesMain.cscsUSAMap1WisconsinClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Wisconsin');
end;

procedure TfStatesMain.cscsUSAMap1WyomingClick(Sender: TObject);
begin
  TfStateFacts.Cre8Thyself('Wyoming');
end;

end.
