unit Exeparam;
{$T+}

{ This unit will process command line parameters for your
  applications' Exe file }

interface

uses WinTypes, WinProcs, SysUtils, Forms, Messages;

function DispatchParams(NewParams: PChar): boolean;
function ProcessParams(NewParams: PChar): boolean;

implementation

uses Run1Time;

function DispatchParams(NewParams: PChar): boolean;
  var
    Atom: Cardinal;
  begin
    { Put new Command line parameters in Windows' Atom table for
      Global access between 32 bit applications }
    Atom := GlobalAddAtom(NewParams);
    SendMessage(PrevMyForm, hParamMsg, Atom, StrLen(NewParams));
    GlobalDeleteAtom(Atom);
    end;

function ProcessParams(NewParams: PChar): boolean;
  var
    s: string;
  begin
    s := StrPas(NewParams);
    { Send custom message to existing application already running }
    SendMessage(Application.MainForm.Handle, hShowWnd, 0, 0);
    Application.ProcessMessages;
    { Process Command Line Parameters here }
    MessageBox(Application.MainForm.Handle, NewParams, 'New Params' + #0, mb_Ok);
    end;

end.
