unit UserWin;

{The Second Rip and Code component based on stuff I learned making the wonderful
DELPHI SCREEN SAVER my own (that's what I call it when I go all out to understand what
real experts do. Sometime, like then, I learn a lot..)

{THE POINT: To get the Windows UserName and gain the ability to check against the
windows screensaver password}

{need I say that my AboutBox uses this Info, that the Login uses this and the other two
descendants? I think so. While these components are 'toys that help' I can't rip the other
things out of context and post them; However, I hope that my vision of Software Legos is
coming through and with that I hope that other's may heave themselves into the oop world.
Share your stuff.}

{-----------------------------------------------------------------------------------------}
{ USERWIN                                                                                 }
{-----------------------------------------------------------------------------------------}

interface

uses
  Classes,
  UserInfo;

Type
  TWindowsUserInfo = class(TUserInfo)
  private
    fUserName,
    fCompanyName    : String[30];
    fPassWord       : String[50];
    fSsDelay        : Integer;
  protected
    procedure WinEncrypt(Strg: PChar);
    Procedure EncryptCString(S: PChar);
    Function  EncryptString(Var S: String): Boolean;
    function GetUserName:String;
    function GetCompanyName:String;
  public
    Constructor Create(aOwner:TComponent); Override;
    function Update: boolean; Override;
    Function HasPassWord:Boolean;
    Function CheckPassWord(Value:String):Boolean;
  published
    property UserName: String read GetUserName;
    property CompanyName: String read GetCompanyName;
    property SaverDelay: Integer read fssDelay;
    end;

implementation

{-----------------------------------------------------------------------------------------}
{ OBJECT CREATION                                                                         }
{-----------------------------------------------------------------------------------------}

uses
  IniFiles
  ,WinTypes
  ,WinProcs
  ,Controls
  ,SysUtils;

Constructor TWindowsUserInfo.Create(aOwner:TComponent);
begin
  inherited Create(aOwner);
end;

function TWindowsUserInfo.Update: boolean;
var
  Ini:TIniFile;
  fileHandle: THandle;
  fileBuffer: Array [0..29] of Char;
begin
  Result:=inherited Update;
  if not Result then
    Exit;
  Ini := TIniFile.Create('CONTROL.INI');                         { Open the Ini File }
  fPassword := Ini.ReadString('ScreenSaver','Password','');      { Read the Password }
  Ini.Free;                                                      { Close It }
  SystemParametersInfo(SPI_GETSCREENSAVETIMEOUT,0,@fSsDelay,0);  { Read the Delay }
  if fSsDelay > 0 then fSsDelay := fSsDelay Div 60;              { Get Minutes }
  if fSsDelay = 0 then fSsDelay := 1;                            { JIC an awkward Number }
  { Get user name and company name }                               {what did he mean there?}
  fileHandle := LoadLibrary('USER');
  if fileHandle >= HINSTANCE_ERROR then begin
    If LoadString(fileHandle, 514, @fileBuffer, 30) <> 0 Then
      fUserName:=fileBuffer;
    If LoadString(fileHandle, 515, @fileBuffer, 30) <> 0 Then
      fCompanyName:=fileBuffer;
    FreeLibrary(fileHandle);
    end;
end;

{-----------------------------------------------------------------------------------------}
{ OBJECT FUNCTIONS                                                                        }
{-----------------------------------------------------------------------------------------}

Function TWindowsUserInfo.HasPassWord:Boolean;
begin
  Result:=fPassword[0]>#0;
end;

Function TWindowsUserInfo.CheckPassWord(Value:String):Boolean;
var
  Cursor:TCursor;
begin
  Value:=UpperCase(Value);                             { Uppercase the password they typed }
  if HasPassWord then begin
    EncryptString(Value);                                    { Encrypt it }
    Result:= Value=fPassWord;
    end
  else
    Result:=True;
end;

{-----------------------------------------------------------------------------------------}
{ OBJECT PLUMBING  (convert String[30] to String)                                         }
{-----------------------------------------------------------------------------------------}

function TWindowsUserInfo.GetUserName:String;
begin
  Result:=fUserName;
end;

function TWindowsUserInfo.GetCompanyName:String;
begin
  Result:=fCompanyName;
end;

{-----------------------------------------------------------------------------------------}
{ WINDOWS SCREENSAVER PASSWORD ENCRYPTION         REPACKAGED I HOPE I DONT GET SUED!      }
{-----------------------------------------------------------------------------------------}

procedure TWindowsUserInfo.WinEncrypt(Strg: PChar);
var
  StrgPt, Strglg : Integer;                                { Local Vars }
  TheByte : Byte;                                          { Working Char }

  procedure Exor (x1: byte; var x2: byte);
  const  { the last three are '[]=' - not allowed in profile string }
    NotAllowed = [0..$20, $7f..$90, $93..$9f, $3d, $5b, $5d];
  begin
   if not ((x2 xor x1) in NotAllowed) then x2 := x2 xor x1;
  end; { Exor }

begin
  StrgLg := lstrlen(Strg);                                 { Get String Length }
  if (StrgLg = 0) then exit;                               { empty string => nothing to do }
  AnsiUpper (Strg);                                        { capitalize the string }

  for StrgPt := 0 to StrgLg - 1 do begin                   { proceed from left to right }
    TheByte := byte (Strg [StrgPt]);                       { get character to encrypt }
    Exor (StrgLg, TheByte);                                { xor it using string length...}
    if (StrgPt = 0) then                                   { If EOS }
      Exor ($2a, TheByte)                                  {...a constant...}
    else begin
      Exor (StrgPt, TheByte);                              {...actual string pointer...}
      Exor (byte (Strg [StrgPt-1]), TheByte);              {...previous character }
      end;
    Strg [StrgPt] := char (TheByte);                       { store encrypted byte back }
    end; { for };

  if (StrgLg > 1) then                                     { no second pass for one-byte-strings }
    for StrgPt := StrgLg-1 downto 0 do begin               { proceed from right to left }
      TheByte := byte (Strg [StrgPt]);                     {  encrypt similar as in first pass }
      Exor (StrgLg, TheByte);                              { xor it using string length...}
      if (StrgPt = StrgLg - 1) then                        { If BOS }
        Exor ($2a, TheByte)                                {...a constant...}
      else begin
        Exor (StrgPt, TheByte);                            {...actual string pointer...}
        Exor (byte (Strg [StrgPt+1]), TheByte);            {...Next character }
        end;
      Strg [StrgPt] := char (TheByte);                     { store encrypted byte back }
      end; { for };
end;


Procedure TWindowsUserInfo.EncryptCString(S : PChar);
Begin
  WinEncrypt(S);
end;

Function TWindowsUserInfo.EncryptString(Var S : String) : Boolean;
begin
  Result := False;
  if S[0] < #254 then begin
    S[Integer(S[0]) + 1] := Chr(0);
    WinEncrypt(@S[1]);
    Result := True;
    end;
end;

{-----------------------------------------------------------------------------------------}
{                                                                                         }
{-----------------------------------------------------------------------------------------}

end.
